昨天准备在XP SP3的操作系统中安装一个IIS6.0,在网上下载了好几个IIS6.0的安装包进行安装时都无法正常安装,提示缺少admexs.dll,后来在百度中搜了一下,才知道XP系统不适合装IIS6.0,只有2003的操作系统才支持,以下转自百度空间
一、系统和IIS 版本的搭配:
注意:系统的版本,决定要安装的IIS版本。必须安装适合系统的IIS版本,否则IIS某些功能无法使用(或无法安装)。
XP系统:适合安装IIS 5.1版本
2000系统:适合安装IIS 5.0版本
2003系统:适合安装IIS 6.0版本
2008 / Vista系统:适合安装IIS 7.0版本
上面有IIS 5.0、IIS 5.1、IIS 6.0版本,可根据自己的系统下载合适版本的IIS安装。
上面还有IIS的安装和配置视频教程,如果需要,可以看看。
三、IIS安装详细的操作步骤(适合网上下载的IIS的安装方法):
开始菜单,控制面板,添加/删除程序,在弹出的对话框中点击左侧的windows添加/删除组件,
把“Internet 信息服务”前面的钩打上,点击“下一步”;
在插入磁盘对话框中点击“确定”,“浏览”,找到你下载解压后的IIS文件夹路径,i386文件夹,找到并双击要安装的文件“STAXMEM”,确定;
再次在插入磁盘对话框中点击“确定”,“浏览”,找到你下载解压后的IIS文件夹路径,i386文件夹,找到并双击要安装的文件“ADMXPROX”,确定;即可安装IIs,在安装好后点击“完成”退出该操作,即完成了IIS的安装。

      四、安装IIS前必读
1、IIS各种版本的安装方法基本一致,只是由于系统的不同,导致在安装IIS时,所需要安装的文件也不同。所以,安装IIS时请注意安装和系统匹配的IIS,系统和IIS的匹配方法请参考第一点。
(如上:XP系统安装IIS时需要“STAXMEM”和“ADMXPROX”这两个文件,而其它系统安装IIS时需要的时其它文件)
2、如果IIS的版本和系统不匹配,则找不到安装IIS时所需要的文件,导致IIS无法安装;即使忽略不安装该文件继续进行下一步,安装好后IIS的某些功能也无法正常使用;所以,安装IIS时请注意安装和系统匹配的IIS。
3、如果已经安装了IIS,先卸载IIS再重新安装IIS。
卸载方法:把“Internet 信息服务”前面的钩去掉,点击下一步即可卸载IIS。
安装方法按照第三点安装。